## ros-kinetic-kobuki-keyop 0.7.6

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(kobuki_keyop)
find_package(catkin REQUIRED COMPONENTS geometry_msgs std_srvs std_msgs roscpp ecl_exceptions ecl_threads ecl_time kobuki_msgs)

catkin_package(
   INCLUDE_DIRS include
   LIBRARIES kobuki
   CATKIN_DEPENDS geometry_msgs std_srvs std_msgs roscpp ecl_exceptions ecl_threads ecl_time kobuki_msgs
)

include_directories(include ${catkin_INCLUDE_DIRS})

add_subdirectory(src)

install(DIRECTORY include
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
  FILES_MATCHING PATTERN "*.h*")

install(DIRECTORY launch
        DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)
install(DIRECTORY param
        DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

=== src/CMakeLists.txt ===
##############################################################################
# Sources
##############################################################################

file(GLOB SOURCES RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} *.cpp)

##############################################################################
# Targets
##############################################################################

add_executable(keyop ${SOURCES})
add_dependencies(keyop ${catkin_EXPORTED_TARGETS})
target_link_libraries(keyop ${catkin_LIBRARIES})

install(TARGETS keyop
        DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

=== debian/changelog ===
ros-kinetic-kobuki-keyop (0.7.6-0xenial) xenial; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Daniel Stonier <stonier@yujinrobot.com>  Thu, 15 Mar 2018 03:04:00 -0000

ros-kinetic-kobuki-keyop (0.6.6-0xenial) xenial; urgency=high

  * Installed both C/C++ headers.
  * Installed missing include directory.
  * Contributors: James Goppert

 -- Daniel Stonier <stonier@yujinrobot.com>  Wed, 27 May 2015 04:00:00 -0000

ros-kinetic-kobuki-keyop (0.6.5-0xenial) xenial; urgency=high



 -- Daniel Stonier <stonier@yujinrobot.com>  Fri, 21 Nov 2014 05:00:00 -0000

ros-kinetic-kobuki-keyop (0.6.4-0xenial) xenial; urgency=high



 -- Daniel Stonier <stonier@yujinrobot.com>  Tue, 26 Aug 2014 04:00:00 -0000

ros-kinetic-kobuki-keyop (0.6.3-0xenial) xenial; urgency=high



 -- Daniel Stonier <stonier@yujinrobot.com>  Mon, 25 Aug 2014 04:00:00 -0000

ros-kinetic-kobuki-keyop (0.6.2-0xenial) xenial; urgency=high



 -- Daniel Stonier <stonier@yujinrobot.com>  Mon, 11 Aug 2014 04:00:00 -0000

ros-kinetic-kobuki-keyop (0.6.1-0xenial) xenial; urgency=high



 -- Daniel Stonier <stonier@yujinrobot.com>  Fri, 08 Aug 2014 04:00:00 -0000

ros-kinetic-kobuki-keyop (0.6.0-0xenial) xenial; urgency=high

  * Add missing run dependency on yocs_cmd_vel_mux
  * Contributors: Jorge Santos

 -- Daniel Stonier <stonier@yujinrobot.com>  Fri, 08 Aug 2014 04:00:00 -0000

ros-kinetic-kobuki-keyop (0.5.5-0xenial) xenial; urgency=high

  * Rename cmd_vel_mux as yocs_cmd_vel_mux.

 -- Daniel Stonier <stonier@yujinrobot.com>  Fri, 11 Oct 2013 04:00:00 -0000

ros-kinetic-kobuki-keyop (0.5.4-0xenial) xenial; urgency=high



 -- Daniel Stonier <stonier@yujinrobot.com>  Fri, 06 Sep 2013 04:00:00 -0000

ros-kinetic-kobuki-keyop (0.5.3-0xenial) xenial; urgency=high



 -- Daniel Stonier <stonier@yujinrobot.com>  Fri, 30 Aug 2013 04:00:00 -0000

ros-kinetic-kobuki-keyop (0.5.0-0xenial) xenial; urgency=high

  * kobuki : Added extra url info on all packages.
  * Fix URL to the previous changelog wiki.
  * Changelogs at package level.

 -- Daniel Stonier <stonier@yujinrobot.com>  Thu, 29 Aug 2013 04:00:00 -0000

ros-kinetic-kobuki-keyop (0.4.0-0xenial) xenial; urgency=high

  * Removed remaping for fake_local.

 -- Daniel Stonier <stonier@yujinrobot.com>  Fri, 09 Aug 2013 04:00:00 -0000

=== debian/control ===
Source: ros-kinetic-kobuki-keyop
Section: misc
Priority: extra
Maintainer: Daniel Stonier <stonier@yujinrobot.com>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-catkin, ros-kinetic-ecl-exceptions, ros-kinetic-ecl-threads, ros-kinetic-ecl-time, ros-kinetic-geometry-msgs, ros-kinetic-kobuki-msgs, ros-kinetic-roscpp, ros-kinetic-std-msgs, ros-kinetic-std-srvs
Homepage: http://ros.org/wiki/kobuki_keyop
Standards-Version: 3.9.2

Package: ros-kinetic-kobuki-keyop
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-ecl-exceptions, ros-kinetic-ecl-threads, ros-kinetic-ecl-time, ros-kinetic-geometry-msgs, ros-kinetic-kobuki-msgs, ros-kinetic-roscpp, ros-kinetic-std-msgs, ros-kinetic-std-srvs, ros-kinetic-yocs-cmd-vel-mux, ros-kinetic-yocs-velocity-smoother
Description: Keyboard teleoperation for Kobuki: relays commands from a keyboard to Kobuki.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-kobuki-keyop//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
